import { ShaderMaterialParameters, RawShaderMaterial } from 'three';

interface RequiredShaderMaterialParameters extends ShaderMaterialParameters {
    vertexShader: string;
    fragmentShader: string;
}

declare const useShaderPass: ({ vertexShader, fragmentShader, uniforms, }: RequiredShaderMaterialParameters) => RawShaderMaterial;

export { useShaderPass };
